Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class StandardAminoAcid

    java.lang.Object
      org.biojava.bio.structure.StandardAminoAcid

    public final class StandardAminoAcid

extends Object

A class that provides a set of standard amino acids.

Author:
  Andreas Prlic, Tamas Horvath provided the standard amino acids.

Constructor Summary
`StandardAminoAcid()`

Method Summary
`static AminoAcid` | `getAminoAcid(String name)` get a standard amino acid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardAminoAcid

    public StandardAminoAcid()

Method Detail

### getAminoAcid

    public static AminoAcid getAminoAcid(String name)

  get a standard amino acid.

  Parameters:
    `name` - the 3- or 1-letter representation of the amino acid.
  Returns:
    the amino acids, or null if the name can not be matched

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD